Bug 738339 - [ipa webui] Encode special chars in values when displaying
Summary: [ipa webui] Encode special chars in values when displaying
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: ipa
Version: 6.1
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Rob Crittenden
QA Contact: Chandrasekar Kannan
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-14 15:10 UTC by Namita Soman
Modified: 2015-01-04 23:51 UTC (History)
5 users (show)

Fixed In Version: ipa-2.1.2-1.el6
Doc Type: Bug Fix
Doc Text:
Do not document
Clone Of:
Environment:
Last Closed: 2011-12-06 18:31:31 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:1533 normal SHIPPED_LIVE Moderate: ipa security and bug fix update 2011-12-06 01:23:31 UTC

Description Namita Soman 2011-09-14 15:10:39 UTC
Description of problem:
When including a '<' in an element - for example - first name, description, hbac service name, rule, etc, it adds the element with the right data, but display incorrectly. Using the CLI, can verify that data is added correctly. Need to encode the special chars when displaying the value.

Version-Release number of selected component (if applicable):
ipa-server-2.1.1-1.el6.x86_64

How reproducible:
always

Steps to Reproduce:
1. Add a HBAC Service as hbac<service

  
Actual results:
This is listed as hbac

Expected results:
Should be listed as hbac<service

Additional info:
ipa  hbacsvc-find --all
include this service correctly as:
  dn: cn=hbac\3cservice,cn=hbacservices,cn=hbac,dc=testrelm
  Service name: hbac<service
  ipauniqueid: f7def342-dee1-11e0-b5f6-525400b09497
  objectclass: ipaobject, ipahbacservice

Comment 2 Martin Kosek 2011-09-14 16:24:07 UTC
Upstream ticket:
https://fedorahosted.org/freeipa/ticket/1798

Comment 5 Namita Soman 2011-10-11 14:37:19 UTC
Verified using ipa-server-2.1.2-2.el6.x86_64
Can add objects that include '<', and they are displayed correctly

Comment 7 Martin Kosek 2011-11-01 10:19:26 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Do not document

Comment 8 errata-xmlrpc 2011-12-06 18:31:31 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2011-1533.html


Note You need to log in before you can comment on or make changes to this bug.